--
-- $Id$
--
-- <<De kolommen versienummer uit alle twyn-rapportages verwijderen, en de parameters hoodfstuk en versienummer aan het rapport toevoegen>>
-- Voor dbuser invullen: - indien script voor 1 klant is: 'AADS' (de klantcode, zoals vermeld in fac_version_cust)
--                       - script is voor meerdere klanten: 'AAXX' (de groepcode, zoals vermeld in fac_version_group)
--                       - script is voor meerdere klanten met naam volgens een bepaald patroon: '^AA|^ASMS|^GULU|^NMMS|^RABO|^ZKHM'
DEFINE thisfile = 'TWYN#55745.SQL'
DEFINE dbuser   = 'TWYN'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
COLUMN fcltcusterr NEW_VALUE fcltcusterr NOPRINT;
WHENEVER SQLERROR CONTINUE;
SELECT adm.getscriptspoolfile('&thisfile') AS fcltlogfile FROM DUAL;
SPOOL &fcltlogfile
WHENEVER SQLERROR EXIT;
SELECT adm.checkscriptcust('&dbuser') AS fcltcusterr FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SET DEFINE OFF

------ payload begin ------
DELETE FROM fac_usrrap_cols
 WHERE fac_usrrap_cols_column_name = 'versienummer'
   AND fac_usrrap_key IN (SELECT fac_usrrap_key FROM fac_usrrap WHERE fac_usrrap_view_name LIKE '%twyn%');

UPDATE fac_usrrap
   SET fac_usrrap_parameters = 'hoofdstuk,versienummer'
 WHERE fac_usrrap_view_name like '%twyn%';

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
